import request from '@/assets/js/utils/request'
import getUrl from '@/assets/js/utils/get-url'

// 用户新增
export function preprocessEmbedding(data) {
  return request({
    url: getUrl('/datasetDocumentEx/preprocess/embedding'),
    method: 'post',
    data
  })
}

export function contentPage(data) {
  return request({
    url: getUrl('/document/mineru/content/page'),
    method: 'get',
    params: data
  })
}

export function documentPdfStatus(data) {
  return request({
    url: getUrl('/document/mineru/status'),
    method: 'get',
    params: data
  })
}
export function contentUpdate(data) {
  return request({
    url: getUrl('/document/mineru/md/page/update'),
    method: 'post',
    data
  })
}
